Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class LoggerSourceImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.LoggerSourceImpl

All Implemented Interfaces:
  LoggerSource

    public class LoggerSourceImpl

extends java.lang.Object
implements LoggerSource

Simple wrapper around SLF4J's LoggerFactory. The concept here is that Log implementations could be provided that promote warnings or errors upto thrown exceptions, for people who like their IOC container extra finicky. In addition, the extra layer makes things a lot easier to mock.

Constructor Summary
`LoggerSourceImpl()`

Method Summary
`org.slf4j.Logger` | `getLogger(java.lang.Class clazz)` Creates or retrieves a log based on Class.
`org.slf4j.Logger` | `getLogger(java.lang.String name)` Creates or retrieves a log based on name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerSourceImpl

    public LoggerSourceImpl()

Method Detail

### getLogger

    public org.slf4j.Logger getLogger(java.lang.Class clazz)

  Description copied from interface: `LoggerSource`
  Creates or retrieves a log based on Class. This is rarely used in Tapestry IOC.

  Specified by:
    `getLogger` in interface `LoggerSource`

### getLogger

    public org.slf4j.Logger getLogger(java.lang.String name)

  Description copied from interface: `LoggerSource`
  Creates or retrieves a log based on name. Typically, the name will be a service id.

  Specified by:
    `getLogger` in interface `LoggerSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.